Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface DomainRuntimeMBean

public interface DomainRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring a WebLogic domain. A domain may contain zero or more clusters. A cluster may be looked up by a logical name.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.util.Date` | `getActivationTime()` Returns the time when the domain became active.
`java.lang.String[]` | `getClusters()` Returns the names of the active clusters in this domain
`java.lang.String` | `getCurrentClusterDeploymentTarget()` Returns the name of the current cluster target for a deployment.
`long` | `getCurrentClusterDeploymentTimeout()` Returns the timeout value in milliseconds of the current deployment to a cluster target.
`void` | `setCurrentClusterDeploymentTarget(java.lang.String clusterName)` Sets the name of the current cluster target for a deployment.
`void` | `setCurrentClusterDeploymentTimeout(long timeoutValue)` Sets the timeout value in milliseconds of the current deployment to a cluster.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getActivationTime

    public java.util.Date getActivationTime()

  Returns the time when the domain became active.

  Returns:
    The activationTime value

### getClusters

    public java.lang.String[] getClusters()

  Returns the names of the active clusters in this domain

  Returns:
    The clusters value

### getCurrentClusterDeploymentTarget

    public java.lang.String getCurrentClusterDeploymentTarget()

  Returns the name of the current cluster target for a deployment. If there is no deployment underway currently, a 'null' value is returned.

### setCurrentClusterDeploymentTarget

    public void setCurrentClusterDeploymentTarget(java.lang.String clusterName)

  Sets the name of the current cluster target for a deployment. This is set at the beginning of a deployment to a cluster and is reset to 'null' at the end of the deployment.

### getCurrentClusterDeploymentTimeout

    public long getCurrentClusterDeploymentTimeout()

  Returns the timeout value in milliseconds of the current deployment to a cluster target. If there is no deployment underway currently, this value is set to '0'.

### setCurrentClusterDeploymentTimeout

    public void setCurrentClusterDeploymentTimeout(long timeoutValue)

  Sets the timeout value in milliseconds of the current deployment to a cluster. This is set at the beginning of the deployment to a cluster and is reset after the deployment.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD